<template>
    <div class="academy">
        <bg-head></bg-head>

        <!-- Search form section -->
        <section class="my-5 row justify-content-center">
                <div class="col-md-6">
                    <div class="input-group mb-3">
                        <input type="text" v-model="search" class="form-control" placeholder="Search ..." aria-label="Recipient's username" aria-describedby="basic-addon2">
                        
                        <!-- <div class="input-group-append">
                            <button class="btn btn-secondary" type="button">
                            <b-icon icon="search"></b-icon>
                            </button>
                        </div> -->
                    </div>
                </div>
        </section>


        <b-container fluid align-h="center" align-v="center">
            <b-row>
                <aca-card v-for="aca in filteredAcademy"
                :key="aca.id" 
                :name="aca.name"
                :location="aca.location"></aca-card>

                <!-- test card -->
                <div>
                    <b-col>
                    <router-link to="/academypage" class="academylink">
                        <b-card
                        img-src="https://picsum.photos/id/1058/600/300?grayscale"
                        img-alt=""
                        img-top
                        tag="article"
                        style="max-width:20rem"
                        class="mb-2"
                        >
                        
                        
                        <b-card-body title="Academy QWE">
                            <b-card-sub-title class="mb-2" sub-title="location"></b-card-sub-title>
                        </b-card-body>
                        
                        
                        
                        <!-- <b-card-text style="text-align: left">
                            Lorem ipsum dolor sit amet consectetur adipisicing elit. Labore minus obcaecati deserunt molestias, vero in impedit ipsa veniam ullam fuga! Et asperiores magnam velit inventore impedit adipisci iusto molestias voluptatibus?
                        </b-card-text> -->
                        <!-- <b-button variant="dark">Visit</b-button> -->
                        </b-card>
                    </router-link>
                </b-col>
                </div>

            </b-row>
                

            <!-- paginatiom -->
            <b-pagination
                v-model="currentPage"
                :total-rows="rows"
                :per-page="perPage"
                aria-controls="my-table"
                align="center"
                @input="paginate(currentPage)"
            ></b-pagination>

        </b-container>

        
       
        
    </div>
</template>

<script>
import bgHeader from "@/components/bgHeader.vue"
import academyCard from "@/components/academyCard.vue"
export default {
    components:{
        "bg-head": bgHeader,
        "aca-card": academyCard
    },
    mounted(){
        this.fetchData();
    },
    data(){
        return{
            academy: [],
            search:"",
            currentPage: 1,
            rows: 1,
            perPage: 5
        }
    },
    methods:{
        async fetchData(){
            const res = await fetch("academy.json");
            const value = await res.json();
            this.academy = value;
            this.rows = this.academy.length;
            console.log(value);

        },
        paginate(currentPage){
            alert(currentPage);

        }
    },
    // filter 
    computed:{
        filteredAcademy: function(){
            return this.academy.filter((aca) => {
                return aca.location.match(this.search);
            });
        }
    }
}
</script>

<style>
.container-fluid{
    /* padding-top: 5rem; */
    padding-bottom: 5rem;

}

</style>